[rhmessaging-commits] rhmessaging commits: r2048 - store/trunk/cpp/tests.

rhmessaging-commits at lists.jboss.org rhmessaging-commits at lists.jboss.org
Wed May 14 04:02:45 EDT 2008


Author: gordonsim
Date: 2008-05-14 04:02:45 -0400 (Wed, 14 May 2008)
New Revision: 2048

Modified:
   store/trunk/cpp/tests/system_test.sh
Log:
Don't fail if QPID_DIR is not set (e.g. when building against installed qpid rpms)



Modified: store/trunk/cpp/tests/system_test.sh
===================================================================
--- store/trunk/cpp/tests/system_test.sh	2008-05-14 07:11:53 UTC (rev 2047)
+++ store/trunk/cpp/tests/system_test.sh	2008-05-14 08:02:45 UTC (rev 2048)
@@ -24,9 +24,13 @@
 error() { echo $*; exit 1; }
 
 # Make sure $QPID_DIR contains what we need.
-test -d "$QPID_DIR" || error "WARNING: QPID_DIR is not set skipping system tests."
+if ! test -d "$QPID_DIR" ; then
+    echo "WARNING: QPID_DIR is not set skipping system tests."
+    exit
+fi
+
 xml_spec=$QPID_DIR/specs/amqp.0-10-qpid-errata.xml
-test -f $xml_spec || error "$xml_spec or $spec_errata or $dtx_preview not found: invalid \$QPID_DIR ?"
+test -f $xml_spec || error "$xml_spec not found: invalid \$QPID_DIR ?"
 export PYTHONPATH=$QPID_DIR/python
 
 # Create a temporary directory for store data.




More information about the rhmessaging-commits mailing list